Package io.yellowbrick.jdbc

## Enum DriverConfiguration.TokenType

- java.lang.Object
- - java.lang.Enum<DriverConfiguration.TokenType>
  - - io.yellowbrick.jdbc.DriverConfiguration.TokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<DriverConfiguration.TokenType>`

Enclosing class:
  DriverConfiguration

    public static enum DriverConfiguration.TokenType
    extends Enum<DriverConfiguration.TokenType>

### Enum Constant Summary

Enum Constants
`ACCESS_TOKEN`
`ID_TOKEN`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DriverConfiguration.TokenType` `fromString​(String value)`
`String` `value()`
`static DriverConfiguration.TokenType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DriverConfiguration.TokenType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ID_TOKEN

    public static final DriverConfiguration.TokenType ID_TOKEN

#### ACCESS_TOKEN

    public static final DriverConfiguration.TokenType ACCESS_TOKEN

### Method Detail

#### values

    public static DriverConfiguration.TokenType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DriverConfiguration.TokenType c : DriverConfiguration.TokenType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DriverConfiguration.TokenType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public String value()

#### fromString

    public static DriverConfiguration.TokenType fromString​(String value)